using System;
using System.Threading;

internal sealed class Delegate744 : MulticastDelegate
{
	public extern Thread Invoke();

	public static Thread smethod_0(Delegate744 delegate744_1)
	{
		return delegate744_1();
	}

	public extern Delegate744(object object_0, IntPtr intptr_0);

	static Delegate744()
	{
		Class10.smethod_13(typeof(Delegate744).TypeHandle);
	}

	internal static Delegate744 delegate744_0;
}
